Bug 175215 - [PATCH] www/phalcon: update to 0.8.0
Summary: [PATCH] www/phalcon: update to 0.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-11 19:10 UTC by Gasol Wu
Modified: 2013-01-28 01:30 UTC (History)
1 user (show)

See Also:


Attachments
phalcon-0.8.0.patch (1.62 KB, patch)
2013-01-11 19:10 UTC, Gasol Wu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2013-01-11 19:10:00 UTC
- Update to 0.8.0

Port maintainer (linpct@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-01-11 19:10:07 UTC
Maintainer of www/phalcon,

Please note that PR ports/175215 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175215

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-11 19:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 linpct 2013-01-22 06:43:20 UTC
Maintainer approved, please commit it, thanks!


-- 
Daniel Lin (pct)
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2013-01-22 07:06:02 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 dfilter service freebsd_committer 2013-01-28 01:27:12 UTC
Author: vanilla
Date: Mon Jan 28 01:27:03 2013
New Revision: 311089
URL: http://svnweb.freebsd.org/changeset/ports/311089

Log:
  Update to 0.8.0.
  
  PR:		ports/175215
  Submitted by:	Gasol Wu <gasol.wu@gmail.com>
  Approved by:	maintainer

Modified:
  head/www/phalcon/Makefile
  head/www/phalcon/distinfo

Modified: head/www/phalcon/Makefile
==============================================================================
--- head/www/phalcon/Makefile	Mon Jan 28 01:24:55 2013	(r311088)
+++ head/www/phalcon/Makefile	Mon Jan 28 01:27:03 2013	(r311089)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	phalcon
-PORTVERSION=	0.6.0
+PORTVERSION=	0.8.0
 CATEGORIES=	www
 MASTER_SITES=	https://github.com/${PORTNAME}/c${PORTNAME}/tarball/${GITVERSION}/
 DISTNAME=	${PORTNAME}-c${PORTNAME}-${GITVERSION}
@@ -13,7 +13,7 @@ COMMENT=	Phalcon PHP Framework written i
 BUILD_DEPENDS=	${LOCALBASE}/include/php/ext/pdo/php_pdo_driver.h:${PORTSDIR}/databases/php5-pdo
 RUN_DEPENDS=	${LOCALBASE}/include/php/ext/pdo/php_pdo_driver.h:${PORTSDIR}/databases/php5-pdo
 
-GITVERSION=	906d0f9
+GITVERSION=	10cbc51
 FETCH_ARGS=	-pRr
 WRKSRC=		${WRKDIR}/${PORTNAME}-c${PORTNAME}-${GITVERSION}/build/
 
@@ -24,4 +24,14 @@ USE_PHP=	yes
 USE_PHPEXT=	yes
 USE_PHPIZE=	yes
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == "amd64"
+WRKSRC:=	${WRKSRC}/64bits
+.elif ${ARCH} == "i386"
+WRKSRC:=	${WRKSRC}/32bits
+.else
+BROKEN=		Only support on amd64 or i386
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/www/phalcon/distinfo
==============================================================================
--- head/www/phalcon/distinfo	Mon Jan 28 01:24:55 2013	(r311088)
+++ head/www/phalcon/distinfo	Mon Jan 28 01:27:03 2013	(r311089)
@@ -1,2 +1,2 @@
-SHA256 (phalcon-cphalcon-906d0f9.tar.gz) = 315d46fa09589cb64e8b8732b83ef5a9be616bc4fe6ebe89685f68b7818e9596
-SIZE (phalcon-cphalcon-906d0f9.tar.gz) = 1016139
+SHA256 (phalcon-cphalcon-10cbc51.tar.gz) = da43840dbebf0adf90950fe8616c8620a6a2d489196d39348d6beb236541c012
+SIZE (phalcon-cphalcon-10cbc51.tar.gz) = 1849074
\ No newline at end of file
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Vanilla I. Shu freebsd_committer 2013-01-28 01:27:38 UTC
State Changed
From-To: open->closed

Committed, thanks.